--- title: "REST API call to retrieve status information" slug: "rest-api-call-to-retrieve-status-information" tags: ["Product Usage", "DLP 11.12.x"] updated: 2026-09-09T08:08:00Z published: 2026-09-09T08:08:00Z canonical: "docs.trellix.com/rest-api-call-to-retrieve-status-information" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to retrieve status information Using this API call, you can retrieve the status options set for the required incident type (incident nature). ### GET request URL `https://<epo_server_name:port>/rest/dlp/incidents/getStatusOptions?incidentNature={n}` Where - `epo_server_name:port` is the server IP address and port number. - `incidentNature={n}` n can be 1, 2, or 3 for incidents of different data vectors (incident nature). ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **incidentNature={n}** | Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be: - 1 = Incidents generated for data-in-use/motion - 2 = Reserved for data-at-rest - Endpoint Discovery incidents and can be used when support for Endpoint Discovery custom attributes is added into the product - 3 = Incidents generated for data-at-rest - Network | Required | Number | These sample API calls return all status options set for incidents generated for data-in-use/motion . **Sample GET request URL** `https://172.27.108.53:8443/rest/dlp/incidents/getStatusOptions?incidentNature=1` **Sample cURL command** `curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/incidents/getStatusOptions?incidentNature=1' -u '<user>:<password>'` ### Response parameters Returns the status options set for the required incident type. ### Sample response ``` {    "2": "NEW",    "3": "PENDING",    "4": "VIEWED",    "5": "UNDER_INVESTIGATION",    "6": "ESCALATED",    "7": "RESOLVED",    "8": "FALSE_POSITIVE",    "201": "SUSPENDED",    "202": "ARCHIVED",    "203": "OPENED",    "204": "SUPPRESSED" } ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | Returns the status options set for the required incident type. | | **400 Bad Request** | Returns a bad request if: - incidentNature is missing. - incidentNature has a non-numeric value. - incidentNature is not either 1 or 3. | | **404 Not Found** | Incorrect ePO - On-prem URL. | | **500 Internal Server Error** | An error on the server side that failed the request. See the ePO - On-prem `orion.log` file for more details about the error. |